I'm new to Mac development, though not to UNIX development in general.

I noticed that OS X comes with two gcc's installed -- gcc-3.3 and gcc-4.0. The default gcc symlink points to 4.0, but there seems to be a gcc_select tool that allows you to switch back and forth. The problem is that when I use either gcc-3.3 manually or do sudo gcc_select 3.3, it seems to work but then I get a
gcc-3.3: installation problem, cannot exec `cc1': No such file or directory
whenever I try to actually compile something.
Is there a known solution to this?